Skip to main content
`Ctrl`+`K`

# TSAdjointMonitorCancel

Clears all the adjoint monitors that have been set on a time-step object.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointMonitorCancel(TS ts)

Logically Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Notes

There is no way to remove a single, specific monitor.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdjointSolve()`, `TSAdjointMonitorSet()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages